Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.Reflection.MethodBase System.Runtime.InteropServices._ConstructorInfo System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._ConstructorInfo)) System.Runtime.InteropServices.ComVisible(true) Requires permission to reflect non-public members of a type in loaded assemblies. See .

ConstructorInfo is used to discover the attributes of a constructor as well as to invoke a constructor. Objects are created by calling on a ConstructorInfo returned by either the or method of a object.

inherits from several members, such as , that can be used to examine generic methods. In the .NET Framework version 2.0 constructors cannot be generic, so these members return false or null.

Discovers the attributes of a class constructor and provides access to constructor metadata.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.String .ctor

  This field is read-only.

  This field is a that contains the value ".ctor". An object constructor will be named with this field if and only if it is not a type initializer.

  For more information on type initializers, see .

  For more information on object constructors, see Partition II of the CLI Specification.

  Represents the name of the class constructor method as it is stored in metadata. This name is always ".ctor". This field is read-only.

  0
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Returns a value that indicates whether this instance is equal to a specified object.

  true if equals the type and value of this instance; otherwise, false.

  An object to compare with this instance, or null.
- Method
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

- Method
  System.Type To be added. To be added. To be added. 1.0.5000.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.DebuggerStepThrough
  System.Object ``

  The types of the elements of do not match the types of the parameters accepted by the constructor reflected by the current instance, under the constraints of the default binder.

  The caller does not have the required permissions. The constructor reflected by the current instance threw an exception. .Length does not equal the number of parameters required by the contract of the constructor reflected by the current instance. Requires permission to invoke non-public members of loaded assemblies. See .

  The number, type, and order of elements in the array should be identical to the number, type, and order of parameters for the constructor reflected by this instance. Before calling the constructor, Invoke ensures that the caller has access permission and verifies that the parameters are valid.

  Access restrictions are ignored for fully trusted code. That is, private constructors, methods, fields, and properties can be accessed and invoked using reflection whenever the code is fully trusted.

  To create an instance of a value type that has no instance constructors, use the method.

  This method is a convenience method for the following overloaded version, using default values. This method cannot be overridden.

  Starting with the net_v20sp1_long, this method can be used to access non-public members if the caller has been granted with the flag and if the grant set of the non-public members is restricted to the caller’s grant set, or a subset thereof. (See Security Considerations for Reflection.)

  To use this functionality, your application should target the net_v35_long or later.

  Invokes the constructor reflected by the instance that has the specified parameters, providing default values for the parameters not commonly used.

  An instance of the class associated with the constructor.

  An array of values that matches the number, order and type (under the constraints of the default binder) of the parameters for this constructor. If this constructor takes no parameters, then use either an array with zero elements or null, as in Object[] parameters = new Object[0]. Any object in this array that is not explicitly initialized with a value will contain the default value for that object type. For reference-type elements, this value is null. For value-type elements, this value is 0, 0.0, or false, depending on the specific element type. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` The types of the elements of do not match the types of the parameters accepted by the constructor reflected by the current instance, under the constraints of . The caller does not have the required permissions. The constructor reflected by the current instance threw an exception. .Length does not equal the number of parameters required by the contract of the constructor reflected by the current instance. Requires permission to invoke non-public members of loaded assemblies. See . A Binder that defines a set of properties and enables the binding, coercion of argument types, and invocation of members using reflection. If is null, then Binder.DefaultBinding is used. An array of type Object used to match the number, order and type of the parameters for this constructor, under the constraints of . If this constructor does not require parameters, pass an array with zero elements, as in Object[] parameters = new Object[0]. Any object in this array that is not explicitly initialized with a value will contain the default value for that object type. For reference-type elements, this value is null. For value-type elements, this value is 0, 0.0, or false, depending on the specific element type. A used to govern the coercion of types. If this is null, the for the current thread is used.

  The number, type, and order of elements in the array should be identical to the number, type, and order of parameters for the constructor reflected by this instance.

  Before calling the constructor, Invoke ensures that the caller has access permission and that the parameters are of the correct number, order and type.

  Access restrictions are ignored for fully trusted code. That is, private constructors, methods, fields, and properties can be accessed and invoked using reflection whenever the code is fully trusted.

  To create an instance of a value type that has no instance constructors, use the method.

  Starting with the net_v20sp1_long, this method can be used to access non-public members if the caller has been granted with the flag and if the grant set of the non-public members is restricted to the caller’s grant set, or a subset thereof. (See Security Considerations for Reflection.)

  To use this functionality, your application should target the net_v35_long or later.

  When implemented in a derived class, invokes the constructor reflected by this ConstructorInfo with the specified arguments, under the constraints of the specified Binder.

  An instance of the class associated with the constructor.

  One of the BindingFlags values that specifies the type of binding. A Binder that defines a set of properties and enables the binding, coercion of argument types, and invocation of members using reflection. If is null, then Binder.DefaultBinding is used. An array of type Object used to match the number, order and type of the parameters for this constructor, under the constraints of . If this constructor does not require parameters, pass an array with zero elements, as in Object[] parameters = new Object[0]. Any object in this array that is not explicitly initialized with a value will contain the default value for that object type. For reference-type elements, this value is null. For value-type elements, this value is 0, 0.0, or false, depending on the specific element type. A used to govern the coercion of types. If this is null, the for the current thread is used. 0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.MemberTypes To be added.

  This property overrides . Therefore, when you examine a set of objects — for example, the array returned by — the property returns only when a given member is a constructor.

  Gets a value indicating that this member is a constructor.

- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether two objects are equal.

  true if is equal to ; otherwise false.

  The first to compare. The second to compare.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether two objects are not equal.

  true if is not equal to ; otherwise false.

  The first to compare. The second to compare.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Type To be added.

  Gets a object representing the type.

  A object representing the type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Provides COM objects with version-independent access to the method.

  An instance of the type.

  The instance that created this method. One of the values that specifies the type of binding. A that defines a set of properties and enables the binding, coercion of argument types, and invocation of members using reflection. If is null, then is used. An array of objects used to match the number, order, and type of the parameters for this constructor, under the constraints of . If this constructor does not require parameters, pass an array with zero elements. Any object in this array that is not explicitly initialized with a value will contain the default value for that object type. For reference-type elements, this value is null. For value-type elements, this value is 0, 0.0, or false, depending on the specific element type. A used to govern the coercion of types. If this is null, the for the current thread is used.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Provides COM objects with version-independent access to the method.

  An instance of the type.

  The instance that created this method. An array of objects used to match the number, order, and type of the parameters for this constructor, under the constraints of . If this constructor does not require parameters, pass an array with zero elements. Any object in this array that is not explicitly initialized with a value will contain the default value for that object type. For reference-type elements, this value is null. For value-type elements, this value is 0, 0.0, or false, depending on the specific element type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Provides COM objects with version-independent access to the method.

  An instance of the type.

  One of the values that specifies the type of binding. A that defines a set of properties and enables the binding, coercion of argument types, and invocation of members using reflection. If is null, then is used. An array of objects used to match the number, order, and type of the parameters for this constructor, under the constraints of . If this constructor does not require parameters, pass an array with zero elements. Any object in this array that is not explicitly initialized with a value will contain the default value for that object type. For reference-type elements, this value is null. For value-type elements, this value is 0, 0.0, or false, depending on the specific element type. A used to govern the coercion of types. If this is null, the for the current thread is used.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  Provides COM objects with version-independent access to the method.

  An instance of the type.

  An array of objects used to match the number, order, and type of the parameters for this constructor, under the constraints of . If this constructor does not require parameters, pass an array with zero elements. Any object in this array that is not explicitly initialized with a value will contain the default value for that object type. For reference-type elements, this value is null. For value-type elements, this value is 0, 0.0, or false, depending on the specific element type.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.String .cctor

  This field is read-only.

  This field is a that contains the value ".cctor".

  A type initializer can be applied to all types. It allows the type to perform any initialization required before any members declared within the type are accessed. Type initializers accept no parameters and always have a return type of void. A type constructor only has access to a type's static fields and its usual purpose is to initialize those fields. A type's constructor is guaranteed to run before any instance of the type is created and before any static field or method of the type is referenced.

  Many languages (including C#) automatically generate type constructors for all implementer-defined types. However, some languages require that type constructors be explicitly implemented.

  For more information on type initializers, see Partition II of the CLI Specification.

  Represents the name of the type constructor method as it is stored in metadata. This name is always ".cctor". This property is read-only.

  0
0